List cinema chains
GET
/v1/chainsAuthorization
AuthorizationBearer token · headerrequiredAn Unkey API key verified at the Gateway.
Query parameters
cursorstringlimitintegermin 1 · max 100 · default: 25
Responses
200A paginated result with source freshness.
dataobject[]requiredShow propertiesHide properties
Array of
objectidstringrequiredmin length 1 · max length 160
namestringrequiredmin length 1 · max length 160
websiteUrlstring<uri>provenanceobjectrequiredShow propertiesHide properties
observedAtstring<date-time>requiredmatches ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
sourceUpdatedAtstring<date-time>matches ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
providerstringrequiredmin length 1 · max length 80
externalIdstringrequiredmin length 1 · max length 240
paginationobjectrequiredShow propertiesHide properties
nextCursorstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyhasMorebooleanrequiredfreshnessobjectrequiredShow propertiesHide properties
observedAtstring<date-time>requiredmatches ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
sourceUpdatedAtstring<date-time>matches ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
400The request failed application validation.
errorobjectrequiredShow propertiesHide properties
codestringrequiredAllowed:
bad_requestdatabase_unavailableentitlement_requiredforbiddeninternal_errornot_foundrate_limitedunauthorizedmessagestringrequiredmin length 1 · max length 300
requestIdstringmin length 1 · max length 160
detailsobject401Rejected by Unkey Gateway before reaching the application.
errorobjectrequiredShow propertiesHide properties
codestringrequiredAllowed:
bad_requestdatabase_unavailableentitlement_requiredforbiddeninternal_errornot_foundrate_limitedunauthorizedmessagestringrequiredmin length 1 · max length 300
requestIdstringmin length 1 · max length 160
detailsobject403The organization does not have an active paid entitlement.
errorobjectrequiredShow propertiesHide properties
codestringrequiredAllowed:
bad_requestdatabase_unavailableentitlement_requiredforbiddeninternal_errornot_foundrate_limitedunauthorizedmessagestringrequiredmin length 1 · max length 300
requestIdstringmin length 1 · max length 160
detailsobject429Rate limited by Unkey Gateway before reaching the application.
errorobjectrequiredShow propertiesHide properties
codestringrequiredAllowed:
bad_requestdatabase_unavailableentitlement_requiredforbiddeninternal_errornot_foundrate_limitedunauthorizedmessagestringrequiredmin length 1 · max length 300
requestIdstringmin length 1 · max length 160
detailsobject500An unexpected application error occurred.
errorobjectrequiredShow propertiesHide properties
codestringrequiredAllowed:
bad_requestdatabase_unavailableentitlement_requiredforbiddeninternal_errornot_foundrate_limitedunauthorizedmessagestringrequiredmin length 1 · max length 300
requestIdstringmin length 1 · max length 160
detailsobject503The application or database is temporarily unavailable.
errorobjectrequiredShow propertiesHide properties
codestringrequiredAllowed:
bad_requestdatabase_unavailableentitlement_requiredforbiddeninternal_errornot_foundrate_limitedunauthorizedmessagestringrequiredmin length 1 · max length 300
requestIdstringmin length 1 · max length 160
detailsobjectRequest
curl -X GET "https://api.cinemadata.uk/v1/chains" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://api.cinemadata.uk/v1/chains", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://api.cinemadata.uk/v1/chains",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"data": [
{
"id": "string",
"name": "string",
"websiteUrl": "<uri>",
"provenance": {
"observedAt": "2024-01-01T00:00:00Z",
"sourceUpdatedAt": "2024-01-01T00:00:00Z",
"provider": "string",
"externalId": "string"
}
}
],
"pagination": {
"nextCursor": "string",
"hasMore": true
},
"freshness": {
"observedAt": "2024-01-01T00:00:00Z",
"sourceUpdatedAt": "2024-01-01T00:00:00Z"
}
}{
"error": {
"code": "bad_request",
"message": "string",
"requestId": "string",
"details": {}
}
}{
"error": {
"code": "bad_request",
"message": "string",
"requestId": "string",
"details": {}
}
}{
"error": {
"code": "bad_request",
"message": "string",
"requestId": "string",
"details": {}
}
}{
"error": {
"code": "bad_request",
"message": "string",
"requestId": "string",
"details": {}
}
}{
"error": {
"code": "bad_request",
"message": "string",
"requestId": "string",
"details": {}
}
}{
"error": {
"code": "bad_request",
"message": "string",
"requestId": "string",
"details": {}
}
}